# Copyright 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from charmworld.qa_questions import iter_categories


def upgrade(db, index_client):
    """Update each category of questions from new_category_data.

    This update elaborates on the 001_* migration. Subsequent qa form
    migrations can replace new_category_data and run this same method.
    """
    db.qa.drop()
    for category_dict in iter_categories():
        db.qa.insert(category_dict)
